<!-- writeme -->
Taxonomy Machine Name Helper
============================

Provides additional helper functions for using the new property named machine_name added to terms by Taxonomy Machine Name module.

 * https://www.drupal.org/project/taxonomy_machine_name_helper
 * Issues: https://drupal.org/project/issues/taxonomy_machine_name_helper
 * Source code: https://git.drupalcode.org/project/taxonomy_machine_name_helper
 * Keywords: Drupal, taxonomy, taxonomy_machine_name
 * Package name: drupal/taxonomy_machine_name_helper


### Maintainers

 * benjamin melançon (mlncn) - https://www.drupal.org/u/mlncn


### Requirements

 * drupal/taxonomy_machine_name ^2

<!-- endwriteme -->

### Features

 - Load the term for a term machine name and log a warning if none found.
   - `taxonomy_machine_name_helper_term_load($machine_name, $vocabulary)`
 - Get the term ID for a term machine name, logging a warning if none found.
   - `taxonomy_machine_name_helper_get_tid($machine_name, $vocabulary)`
 - Set a form field's state based on term machine name in controlling field.
   - `taxonomy_machine_name_helper_set_dependent_field_state(&$form, $controlling_field, $term_machine_name, $vocabulary, $target_field, $state)`

The first two can have `$vocabulary` set to null and instead try to derive the
vocabulary from a `$form_state` object, same as the underlying function
`taxonomy_machine_name_term_load()` can.

For the last, this capability is dropped.  On the plus side, the last parameter
`$state` is optional, defaulting to 'visible'.  See  the documentation for the
[Form API #states attribute](https://www.drupal.org/docs/drupal-apis/form-api/conditional-form-fields#statesproperty)
